Wonder
post/svc/payment/api/v1/openapi/customers/wallet/link

Create customer wallet link

Generates a customer wallet management link that lets customers self-manage their payment methods.

Header parameters

Signature
string

Example: good

Credential
string

Example: {{credential}}

x-request-id
string

Example: {{$string.uuid}}

x-i18n-lang
string

Example: zh-CN

Content-typerequired
string

Example: application/json

Request body · application/json

required
object

Customer information

mode
enum<string>

If mode = create_only, url is required

create_only

object

Customer options

expires_at
string

The link expire time

Example: 2026-01-01T01:02:03Z

redirect_url
string

The target URL that redirect to when the user clicks the 'Back' button on the wallet link page

customer_uuidrequired
string

The customer's uuid

exp_redirect_url
string

Automatically redirect to this address when the link expires

Responses

coderequired
number

Response code

required
object

Response data

konnect_linkrequired
string

The customer's token manage website URL

Example: https://your.domain/foo/bar

messagerequired
string

Response message